понедельник, 14 сентября 2015 г.

Stagefright. Для тех кто не слышал ...

Для тех кто не видел, не слышал, или просто не в курсе ... небольшая подборка интересных ссылок про новые критические уязвимости в библиотеке для работы с файлами мультимедия в Android - Stagefright. Технически, это целый набор уязвимостей, связанных с ошибками переполнения буфера. Всем им присвоены разные CVE (Common Vulnerabilities and Exposures), при этом статус уязвимостей по одной из классификаций в основном Critical или High, а тип - Elevetion of Privelege, Denial of Service и даже Remote Code Execution. Примечательно то, что в последних обновлениях Google исправила большинство из Stagefright уязвимостей, однако, в самом последнем обновлении была обнаружена новая уязвимость - CVE-2015-3864. Как пошутил один из пользовалей в комментариях на Хабре: "Я поместил уязвимость в фикс твоей уязвимости, чтоб ты мог эксплуатировать уязвимость, пока ты патчишь уязвимость". Ну а теперь собственно ссылки:


В последней статье как раз и говорится о CVE-2015-3864. Протестировать свое устройство на наличие данных уязвимостей можно с помощью двух приложений, которые доступны в Google Play - Stagefright Detector от Zimperium INC. и Stagefright Detector от Lookout Mobile Security.

Комментариев нет :

Отправить комментарий